Subject: Re: [lmap] Question on multiple outstanding suppressions

From: <[email-masked]>
Date: Sat, 2 Apr 2016 00:00:03 +0000

Let me check if I understand how suppression would now work, or my likely to reveal my misunderstanding. 

For each schedule there's a tag ma-schedule-suppression-tags<0..*>
Example of this tag would be "suppress-by-default"

When ma-suppression-obj is sent, then the ma-suppression-match string can be set to "suppress-by-default". Then all schedules with this tag are suppressed.

Did I get that right?

Similarly, each action can have a tag ma-action-suppression-tags<0..*.>
Similarly, another example of the tag is "suppress-if-controller-seems-dead"
However, Tasks have a Boolean ma-task-suppress-by-default ...?

Thanks,
phil

-----Original Message-----
From: lmap [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: 30 March 2016 04:50
To: Carey, Timothy (Nokia - US) <[email-masked]>
Cc: [email-masked]; KEN KO <[email-masked]>; [email-masked]
Subject: Re: [lmap] Question on multiple outstanding suppressions

On Tue, Mar 29, 2016 at 08:31:06PM +0000, Carey, Timothy (Nokia - US) wrote:
> Juergen,
> 
> Looking at the text of section 3.3
> The new multi-instance model doesn't seem to support this text.

I disagree.
 
> For example - can't just turn-on/turn-off suppression by setting enabled to false and the unsuppression.

This question is orthogonal to the question whether there are multiple suppressions or just effectively two.

> Honestly it worked better when it was a single object with an enable and/or endtime...
>

Why? There were two mechanisms, the traditional suppression and the reaction to loss of the controller. We now have a single mechanism that covers both cases and at the same time is more flexible and supports provisioned suppressions.

The question whether we add enable/disable leafs in random places or everywhere is a separate question. When it comes to YANG, I am not a big fan, I rather would like to see a generic solution for this problem.

/js

> BR,
> Tim
> 
> -----Original Message-----
> From: EXT Juergen Schoenwaelder 
> [mailto:[email-masked]]
> Sent: Tuesday, March 29, 2016 12:33 PM
> To: KEN KO
> Cc: Carey, Timothy (Nokia - US); [email-masked]; [email-masked]
> Subject: Re: [lmap] Question on multiple outstanding suppressions
> 
> You can still use suppressions as a panic button. You can have multiple panic buttons if you want to (but you do not have to use it in that way). You can have automatic pre-configured panic buttons (the new years evening example) but you do not have to use it that way.
> 
> If you read the emails, you will note that we had not only panic buttons but also a second mechanism to handle the loss of the controller. Instead of having multiple hardwired mechanisms to disable 'things', the proposal back then was to generalize _one_ mechanism so that it can do it all. The suppressions we have now makes code simpler, extensible and more powerful at the same time. I do not see a good reason to go back.
> 
> /js
> 
> On Tue, Mar 29, 2016 at 05:22:55PM +0000, KEN KO wrote:
> > TR-304 (from BBF) and RFC 7594 both document suppression as a single instance. It is intended to be used as a fairly blunt instrument, for instance to prevent measurement traffic from exacerbating network congestion during an unusual event.
> > 
> > From TR-304 section 5.2: "Suppression might be used when the measurement system wants to minimize inessential traffic, for example after a major network incident. Only one suppression message can exist at a time in a given MA. A new suppression message completely replaces the previous one."
> > 
> > From RFC 7594 section 5.2.2.1: "The main motivation for Suppression is to enable the Measurement System to eliminate Measurement Traffic, because there is some unexpected network issue, for example.  There may be other circumstances when Suppression is useful, for example, to eliminate inessential Reporting traffic (even if there is no Measurement Traffic).
> > 
> > From RFC 7594 section 5.2.2: "However, Suppression information always replaces (rather than adds to) any previous Suppression information."
> > 
> > The idea in both documents was to provide a mechanism that was flexible in how tasks could be configured to react to it, but simple in how the "panic button" would be pushed in the case of a network event. 
> > 
> > From the archive link Juergen provided, it looks like the purpose of suppression in the information model has changed fairly dramatically, and that it is now a more generic capability to disable tasks according to any of multiple schedules. I'm concerned that it may no longer provide the simple "panic button" that was intended. Do we really want to deviate in this way from something that was defined specifically in the framework documents, which after all are intended to provide guidance for more detailed documentation?
> > 
> > Ken
> > 
> > -----Original Message-----
> > From: Carey, Timothy (Nokia - US) [mailto:[email-masked]]
> > Sent: Tuesday, March 29, 2016 12:58 PM
> > To: Juergen Schoenwaelder; KEN KO
> > Cc: [email-masked]; [email-masked]
> > Subject: RE: [lmap] Question on multiple outstanding suppressions
> > 
> > Juergen,
> > 
> > I suspect it was with good reason that the BBF wanted this as a single instance active at a time. 
> > 
> > Possibly Ken or Barbara could provide the reasoning.
> > 
> > Minimally I would think we would need to be able administratively enable/disable a suppression object; that at least lets me shut them down temporarily.
> > 
> > BR,
> > Tim
> > 
> > -----Original Message-----
> > From: EXT Juergen Schoenwaelder
> > [mailto:[email-masked]]
> > Sent: Tuesday, March 29, 2016 3:48 AM
> > To: KEN KO
> > Cc: Carey, Timothy (Nokia - US); [email-masked]; [email-masked]
> > Subject: Re: [lmap] Question on multiple outstanding suppressions
> > 
> > The original reasoning can be found here:
> > 
> > https://mailarchive.ietf.org/arch/msg/lmap/ptg-TcdfMuVHM93PWisj4u-tb
> > FI
> > 
> > Not being able to provision multiple suppressions seems a major limitation to me.
> > 
> > /js
> > 
> > On Thu, Mar 24, 2016 at 03:00:27PM +0000, KEN KO wrote:
> > > Tim, thanks for catching this. I'd also like to understand why lmap has changed it.
> > > Ken
> > > 
> > > From: Carey, Timothy (Nokia - US) [mailto:[email-masked]]
> > > Sent: Thursday, March 24, 2016 9:57 AM
> > > To: [email-masked]
> > > Cc: KEN KO; [email-masked]
> > > Subject: Question on multiple outstanding suppressions
> > > 
> > > Team,
> > > 
> > > I noticed that the information model has support for multiple suppressions.
> > > With the current definition in the information model, it looks like there isn't any constraints on multiple suppression requests that can be active at the same time.
> > > 
> > > I just wanted to a confirmation on this. We used to have just 1 suppression object in an instruction. It looks like this changed in draft-07.
> > > 
> > > This actually conflicts with BBF TR-304 Section 5.2 where the text says:
> > > Suppression is the temporary cessation of all or a subset of measurement-related tasks. A Measurement Controller can send a suppress message to the MA that instructs the MA to temporarily suspend some or all of its scheduled measurement-related tasks. Suppression ends either in response to an explicit unsuppress message or at the time indicated in the suppress message. Suppression might be used when the measurement system wants to minimize inessential traffic, for example after a major network incident. Only one suppression message can exist at a time in a given MA. A new suppression message completely replaces the previous one.
> > > 
> > > So TR-304 would expect 1 suppression with an enable; this is quite different from the behavior that changed last November.
> > > 
> > > 
> > > Looking for guidance.
> > > 
> > > BR,
> > > Tim
> > 
> > > _______________________________________________
> > > lmap mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/lmap
> > 
> > 
> > -- 
> > Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> > Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> > Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

_______________________________________________
lmap mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lmap

---

From: <[email-masked]>
Date: Sat, 2 Apr 2016 00:14:25 +0000

Different question about suppression.
Ma-status-schedule-state can have the values: enabled, active and disabled. Can you explain the difference between enabled and active, please
Thanks
phil

-----Original Message-----
From: lmap [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: 30 March 2016 04:50
To: Carey, Timothy (Nokia - US) <[email-masked]>
Cc: [email-masked]; KEN KO <[email-masked]>; [email-masked]
Subject: Re: [lmap] Question on multiple outstanding suppressions

I disagree.

/js

---

From: "Carey, Timothy (Nokia - US)" <[email-masked]>
Date: Sat, 2 Apr 2016 15:31:04 +0000

Phil,

Inline <TAC>

-----Original Message-----
From: EXT [email-masked] [mailto:[email-masked]] 
Sent: Friday, April 01, 2016 9:00 PM
To: [email-masked]; Carey, Timothy (Nokia - US)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [lmap] Question on multiple outstanding suppressions

Did I get that right?
<TAC> Yes but the tag can be anything (e.g., tag0)

Similarly, each action can have a tag ma-action-suppression-tags<0..*.> Similarly, another example of the tag is "suppress-if-controller-seems-dead"
<TAC> Correct

However, Tasks have a Boolean ma-task-suppress-by-default ...?
<TAC> Yes when a suppression match object doesn't exist - these take effect.
The reason I needed the enable parameter for suppression is that in TR-069 we don't have the concept of option parameters for runtime so I use an empty suppression match to invoke these Booleans.

Thanks,
phil

-----Original Message-----
From: lmap [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: 30 March 2016 04:50
To: Carey, Timothy (Nokia - US) <[email-masked]>
Cc: [email-masked]; KEN KO <[email-masked]>; [email-masked]
Subject: Re: [lmap] Question on multiple outstanding suppressions

I disagree.

/js

---

From: "Carey, Timothy (Nokia - US)" <[email-masked]>
Date: Sat, 2 Apr 2016 15:38:26 +0000

A schedule may be enabled - but it hasn't hit its timer - e.g., calendar start May 1, 2016 end May 10, 2016 

In TR-069 we have a enable parameter (part of the convention that all r/w multi-instance objects have administrative enable capabilities so Enabled for me means - the administrative state is enabled.

BR,
Tim

-----Original Message-----
From: EXT [email-masked] [mailto:[email-masked]] 
Sent: Friday, April 01, 2016 9:14 PM
To: [email-masked]; Carey, Timothy (Nokia - US)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [lmap] Question on multiple outstanding suppressions

Different question about suppression.
Ma-status-schedule-state can have the values: enabled, active and disabled. Can you explain the difference between enabled and active, please Thanks phil

-----Original Message-----
From: lmap [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: 30 March 2016 04:50
To: Carey, Timothy (Nokia - US) <[email-masked]>
Cc: [email-masked]; KEN KO <[email-masked]>; [email-masked]
Subject: Re: [lmap] Question on multiple outstanding suppressions

I disagree.

/js

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 5 Apr 2016 13:58:02 +0200

> When ma-suppression-obj is sent, then the ma-suppression-match string can be set to "suppress-by-default". Then all schedules with this tag are suppressed.

Yes. Note that tags can have other user-defined values.
 
> However, Tasks have a Boolean ma-task-suppress-by-default ...?

This kicks in if there are no tags to match. I personally would remove
ma-task-suppress-by-default since we have a more flexible mechanism
that can emulate it as you described above.

/js

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 5 Apr 2016 14:00:10 +0200

> Ma-status-schedule-state can have the values: enabled, active and disabled. Can you explain the difference between enabled and active, please

Enables means when the event happens, the suppression becomes active
(and when suppression is over it returns to enabled). In my
implementation, a suppression becomes disabled if it can't every
trigger anymore (e.g., a suppression bound to a startup event will get
active at startup and then transition into disabled afterwards).

/js